<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#

namespace Platiti\GPWebPayGpeNs\Magento2;

use Magento\Framework\App\CsrfAwareActionInterface;
use Magento\Framework\App\RequestInterface;
use Magento\Framework\App\Request\InvalidRequestException;
use Magento\Framework\App\Action\Action;

abstract class ActionCsrfAllowed extends Action implements CsrfAwareActionInterface
{
	abstract public function execute();
	public function createCsrfValidationException(RequestInterface $request): ?InvalidRequestException
	{
		return null;
	}
	public function validateForCsrf(RequestInterface $request): ?bool
	{
		return true;
	}
}

