<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV108-60-g39033a71:2024-08-14#


namespace Platiti\Gpwebpaygpebinder\Block\Index;

use Magento\Checkout\Model\Session;
use Magento\Framework\View\Element\Template\Context;
use Magento\Framework\View\Element\Template;
use Platiti\Gpwebpaygpebinder\Model\Payment\Gpwebpaygpebinder as Model;

class Indexbankall extends Template
{
	/** @var Context */
	protected $_inlineContent;
	/** @var Session */
	protected $_checkoutSession;
	/** @var Model */
	public $_model;



	public function __construct(Context $context, Session $checkoutSession, Model $model)
	{
		parent::__construct($context);
		$this->_checkoutSession = $checkoutSession;
		$this->_model = $model;
	}

	/**
	 * @param Context $content
	 * @return void
	 */
	public function setInlineContent($content) {
		$this->_inlineContent = $content;
	}

	/** @return Context  */
	public function getInlineContent() {
		return $this->_inlineContent;
	}

	/** @return ?string  */
	public function getSuccessHtml() {
		return $this->_checkoutSession->getData('UniModulSuccessHtml');
	}

	/** @return ?string */
	public function getInstallmentHtml() {
		return $this->_model->getInstallmentHtml();
	}


}
